html {
  font-family: Verdana, Helvetica, Arial, sans-serif;
}

body {
  margin-top: 0;
}
details.footnote {
  font-size: smaller;
}

details.footnote ul,
details.footnote ol {
  margin-block-start: 0;
}

table.main-table {
  margin-right: 1em;
}

table.main-table td,
table.scorers td {
  text-align: center;
}

table.main-table td.num {
  text-align: right;
}

table.main-table,
table.main-table td,
table.main-table th,
table.scorers,
table.scorers td,
table.scorers th {
  border-collapse: collapse;
  border-color: darkgray;
  border-width: 1px ;
  border-style: solid;
  padding: 0 0.5em 0 0.5em;
}

table.main-table tr.highlight-top td:nth-child(-n+3),
table.main-table tr.highlight-bottom td:nth-child(-n+3) {
  font-weight: 600;
}

table.main-table td.ext,
table.main-table th.ext {
  padding: 0;
}
table.main-table .ext + :not(.ext),
table.main-table :not(.ext) + .ext {
  border-left-width: 3px;
}

table.main-table td.diag div::before {
  content: "99:99";
  visibility: hidden;
}

table.main-table td.diag {
  background-color: darkgray;
}

table.scorers td.player,
table.scorers td.team {
  text-align: left;
}

table.results tr.protocol.note td:nth-child(3),
table.results td.score,
table.results th.score {
  text-align: center;
}

span.win {
  color: rgb(235, 107, 107);
}

span.lose {
  color: rgb(107, 107, 235);
}

span.prematch {
  font-size: smaller;
}

span.schedule {
  font-size: smaller;
  font-style: italic;
  color: rgb(150, 150, 150);
}

table.results tr.protocol {
  font-size: 0.8em;
}

table.results td.host-player {
  text-align: right;
}

table.results td.guest-player {
  text-align: left;
}

input#protocol:not(:checked) ~ table.results .protocol,
input#results:not(:checked) ~ .results,
input#schedule:not(:checked) ~ .schedule,
input.ext:not(:checked) ~ table .ext,
input#violations:not(:checked) ~ .violations,
input#scorers:not(:checked) ~ .scorers,
input#mainTable:not(:checked) ~ .mainTable,
input.top10:checked ~ table tr + tr + tr + tr + tr + tr + tr + tr + tr + tr + tr + tr,
input.earliest:checked ~ table tr + tr:not(.earliest) {
  display: none;
}

input + h2 {
  display: inline-block;
}

p.new-line {
  margin: 0;
}

input#protocol:not(:checked) ~ table.results :not(.protocol) th {
  font-weight: normal;
}

#header {
  display: flex;
  flex-direction: column;
  padding: 0;
  margin: 0;
  top: 0;
  background-color: rgb(235, 235, 235);
}

#header1 {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: baseline;
}

#header div,
#header nav a {
  padding: 0.25em;
}

#header div#header11 {
  font-size: larger;
  font-weight: 900;
  padding-top: 0;
}

#header3 > span {
  padding-right: 1em;
}

#main {
  display: flex;
  flex-direction: row;
  padding: 10px;
}

#main > main {
  flex: 1;
}

#main > aside {
  padding-left: 10px;
  flex: 0 0 300px;
}

aside > div {
  font-size: x-small;
  margin-bottom: 2em;
}

.post-header, .post-subject {
  font-weight: 800;
}

.post-date {
  font-weight: 300;
  color: darkgray;
}
